Bug 1190378 - Review Request: python-bleach - An easy whitelist-based HTML-sanitizing tool
Summary: Review Request: python-bleach - An easy whitelist-based HTML-sanitizing tool
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Florian "der-flo" Lehner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-02-07 20:25 UTC by Matthias Runge
Modified: 2015-03-08 22:45 UTC (History)
3 users (show)

Fixed In Version: python-bleach-1.4.1-2.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-05 12:34:51 UTC
Type: ---
dev: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthias Runge 2015-02-07 20:25:07 UTC
Spec URL: http://www.matthias-runge.de/fedora/python-bleach.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-bleach-1.4.1-1.fc21.src.rpm
Description: Bleach is an HTML sanitizing library that escapes or strips markup and attributes based on a white list.
Fedora Account System Username: mrunge

Comment 1 Mario Blättermann 2015-02-07 21:15:21 UTC
Do you've tested if it builds with Python3 ? If yes, then provide also a python3* package. Probably Python 3 will become the default Python version in f22.

Comment 2 Matthias Runge 2015-02-12 12:27:13 UTC
Added a python3 subpackage

Spec URL: http://www.matthias-runge.de/fedora/python-bleach.spec
SRPM URL: http://www.matthias-runge.de/fedora/python-bleach-1.4.1-2.fc21.src.rpm

Comment 3 Florian "der-flo" Lehner 2015-02-12 18:39:52 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 22 files have unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-bleach
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
   ---> http://koji.fedoraproject.org/koji/taskinfo?taskID=8911417
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-bleach-1.4.1-2.fc22.noarch.rpm
          python3-bleach-1.4.1-2.fc22.noarch.rpm
          python-bleach-1.4.1-2.fc22.src.rpm
python-bleach.noarch: W: spelling-error Summary(en_US) whitelist -> white list, white-list, whistle
python3-bleach.noarch: W: spelling-error Summary(en_US) whitelist -> white list, white-list, whistle
python-bleach.src: W: spelling-error Summary(en_US) whitelist -> white list, white-list, whistle
3 packages and 0 specfiles checked; 0 errors, 3 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python3-bleach (rpmlib, GLIBC filtered):
    python(abi)

python-bleach (rpmlib, GLIBC filtered):
    python(abi)
    python-html5lib
    python-six
    python3-html5lib
    python3-six



Provides
--------
python3-bleach:
    python3-bleach

python-bleach:
    python-bleach



Source checksums
----------------
https://pypi.python.org/packages/source/b/bleach/bleach-1.4.1.tar.gz :
  CHECKSUM(SHA256) this package     : 152af29d4580b112fc52966864492791c951e6382b56070e95e128c6b614833b
  CHECKSUM(SHA256) upstream package : 152af29d4580b112fc52966864492791c951e6382b56070e95e128c6b614833b


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1190378
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

===== Solution =====
      APPROVED

Comment 4 Matthias Runge 2015-02-13 09:57:52 UTC
Thank you for the review!

New Package SCM Request
=======================
Package Name: python-bleach
Short Description: An easy whitelist-based HTML-sanitizing tool
Upstream URL: http://github.com/jsocol/bleach
Owners: mrunge
Branches: f21 f22 epel7

Comment 5 Gwyn Ciesla 2015-02-13 13:36:03 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2015-02-16 08:23:59 UTC
python-bleach-1.4.1-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/python-bleach-1.4.1-2.el7

Comment 7 Fedora Update System 2015-02-16 08:24:38 UTC
python-bleach-1.4.1-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/python-bleach-1.4.1-2.fc21

Comment 8 Fedora Update System 2015-02-17 08:11:01 UTC
python-bleach-1.4.1-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 9 Fedora Update System 2015-03-05 12:34:51 UTC
python-bleach-1.4.1-2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-03-08 22:45:55 UTC
python-bleach-1.4.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.